import { FieldMap } from ".";
export declare function generateOptimisticResponseForMutation<T>({ operationType, entityName, objects }: {
    operationType: "update" | "insert" | "delete";
    entityName: string;
    objects: {
        id: any;
    }[];
}): T;
/**
 *
 * @param param0
 */
export declare function generateUpdateFunctionForMutation<T>({ operationType, entityName, entityId }: {
    operationType: "delete";
    entityName: string;
    entityId: string | number;
}): (cache: any, result: any) => void;
export declare function IS_JAVASCRIPT_SCALAR_EQUIVALENT(arg: any, includeNull?: boolean): boolean;
export declare function IS_APOLLO_OBJECT(o: any): any;
export declare function IS_NON_NULL_OBJECT(o: any): boolean;
export declare function IS_OBJECT_WITH_ID(o: any): any;
export declare function IS_INSERT_INPUT_OBJECT(o: any): any;
export declare function GET_INSERT_INPUT_DATA(o: any): any;
export declare function convertApolloObjectToRefObj(o: any): {
    id: any;
    __typename: any;
};
export declare function convertApolloObjectArrayToRefObj(o: any[]): {
    id: any;
    __typename: any;
}[];
export declare function ensureTypenameOnFragment(o: any, typename: string): any;
export declare function ensureTypenameOnFragments(o: any[], typename: string): any[];
export declare function addTypenameToObjWithId({ o, typename }: {
    o: any;
    typename: string;
}): any;
/**
 *
 */
export declare function addTypenameToObjWithIdArray({ o, typename }: {
    o: any[];
    typename: string;
}): any[];
export declare function convertInsertInputToPartialFragmentResursive({ insertInput, fieldMap }: {
    insertInput: object;
    fieldMap?: FieldMap<string>;
}): any;
